
CoCoA-5 - Feature #188

CoCoAManual: entries for operators

14 Jun 2012 14:37 - John Abbott

Status: Closed Start date: 14 Jun 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 5.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 5.60 hours

Description

How would a student find out what >< means in CoCoA?

How to have manual pages for operators in CoCoA?

Here is an idea inspired by C++: can we give the page a title like operator ><?

Maybe there should be a page dedicated to all operators (perhaps a sort of index)?

Related issues:

Related to CoCoA-5 - Support #334: CoCoAManual: entry for "and", "or", "not" ... Closed 04 Apr 2013

Related to CoCoA-5 - Support #456: CoCoAManual: New structure for manual? Closed 05 Mar 2014

History

#1 - 18 Jun 2012 17:18 - Redmine Admin

- Category set to Manual/documentation

John Abbott wrote:

How would a student find out what >< means in CoCoA?

How to have manual pages for operators in CoCoA?

 

it is currently called "shortcuts", if you have a better name feel free to change it, but remember to put "shortcuts" as a (search) key for those who are

used to this name.

Here is an idea inspired by C++: can we give the page a title like operator ><?

Maybe there should be a page dedicated to all operators (perhaps a sort of index)?

 

I think there were problems with such characters in TeX titles, I need to make an extensive test to know.

#2 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14
#3 - 04 Apr 2014 12:40 - John Abbott

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 90

A page summarising all operators (aka "shortcuts") has been around for a while; deft use of keywords makes the page fairly easy to find.

Changing state to feedback.

#4 - 14 Apr 2014 09:19 - Anna Maria Bigatti

- Estimated time set to 5.00 h

#5 - 05 May 2014 12:08 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

The man page is much improved, and easier to find.  Good enough for now; maybe experience will help improve it in the future.

Closing.

#6 - 05 May 2014 12:10 - John Abbott

Could we condense the syntax and description so that the pages occupies less vertical space?

#7 - 02 Jul 2014 16:46 - Anna Maria Bigatti

- Subject changed from CoCoA-5 manual entries for operators to CoCoAManual: entries for operators
